Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface SnippetViewmap

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Viewmap

All Known Implementing Classes:
  SnippetViewmapImpl

    public interface SnippetViewmap

extends Viewmap

A representation of the model object 'Snippet Viewmap'.

The following features are supported:

- `Body`

See Also:
  `GMFGenPackage.getSnippetViewmap()`
** Generated **
Model:

Method Summary
`java.lang.String` `getBody()` Returns the value of the 'Body' attribute
`void` `setBody(java.lang.String value)` Sets the value of the '`Body`' attribute

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.Viewmap
`find, getAttributes, getLayoutType, getRequiredPluginIDs, setLayoutType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getBody

    java.lang.String getBody()

  Returns the value of the 'Body' attribute.

  If the meaning of the 'Body' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Body' attribute.
  See Also:
    `setBody(String)`, `GMFGenPackage.getSnippetViewmap_Body()`
  ** Generated **
  Model:

### setBody

    void setBody(java.lang.String value)

  Sets the value of the '`Body`' attribute.

  Parameters:
    `value` - the new value of the 'Body' attribute.
  See Also:
    `getBody()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.